## node-matrix-js-sdk 0.9.2

=== debian/changelog ===
node-matrix-js-sdk (0.9.2-1) unstable; urgency=medium

  * Initial release (Closes: #865821)

 -- Hubert Chathi <uhoreg@debian.org>  Fri, 02 Feb 2018 12:01:17 -0500
