=== debian/control ===
Source: node-matrix-js-sdk
Section: javascript
Priority: optional
Maintainer: Matrix Packaging Team <pkg-matrix-maintainers@lists.alioth.debian.org>
Uploaders: Hubert Chathi <uhoreg@debian.org>
Build-Depends: debhelper (>=9)
 , nodejs
 , node-babel-cli
 , node-babel-loader
 , node-babel-plugin-transform-async-to-bluebird
 , node-babel-plugin-transform-runtime
 , node-babel-preset-es2015
# for documentation
#    "jsdoc": "^3.5.5",
# for tests
#    "expect": "^1.20.2",
#    "matrix-mock-request": "^1.2.0",
#    "mocha": "^3.2.0",
#    "mocha-jenkins-reporter": "^0.3.6",
#    "istanbul": "^0.4.5",
#    "lolex": "^1.5.2",
# for browser:
#    "browserify": "^14.0.0", -- use webpack instead since browserify is not in Debian
 , webpack
#    "browserify-shim": "^3.8.13",
#    "exorcist": "^0.4.0",
#    "sourceify": "^0.1.0",
#    "source-map-support": "^0.4.11",
 , node-uglify (>= 2.8.26)
# (and install dependencies, to be bundled in browser package)
 , node-bluebird
 , node-browser-request
 , node-content-type
 , node-babel-runtime
# for development
#    "babel-eslint": "^7.1.1",
#    "eslint": "^3.13.1",
#    "eslint-config-google": "^0.7.1",
#    "watchify": "^3.2.1"
# not needed
#    "rimraf": "^2.5.4",
Standards-Version: 3.9.8
Homepage: https://github.com/matrix-org/matrix-js-sdk/
Vcs-Git: git://anonscm.debian.org/collab-maint/matrix-js-sdk.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/matrix-js-sdk.git

Package: node-matrix-js-sdk
Architecture: all
Depends: nodejs, node-bluebird, node-request, node-content-type, node-babel-runtime, ${misc:Depends}
Provides: node-another-json, libjs-another-json
Suggests: node-olm
Description: JavaScript Client-Server SDK for the Matrix protocol
 matrix-js-sdk is an SDK that allows JavaScript programs to communicate over
 Matrix, an open, federated communications protocol.
 .
 This package provides the nodejs version of matrix-js-sdk.

Package: libjs-matrix-js-sdk
Architecture: all
Depends: ${misc:Depends}
Suggests: libjs-olm
Description: JavaScript Client-Server SDK for the Matrix protocol
 matrix-js-sdk is an SDK that allows JavaScript programs to communicate over
 Matrix, an open, federated communications protocol.
 .
 This package provides the nodejs version of matrix-js-sdk.
