=== debian/tests/control ===
Tests: require
Depends: node-matrix-js-sdk
