## node-matrix-js-sdk 6.0.0+~cs9.8.22

=== debian/changelog ===
node-matrix-js-sdk (6.0.0+~cs9.8.22-2) unstable; urgency=medium

  [ Xavier Guimard ]
  * use debhelper compatibility level 13
  * use dh-sequence-nodejs
  * declare compliance with policy 4.5.1

  [ Jonas Smedegaard ]
  * copyright:
    + use License-Reference field;
      override lintian License-Reference field warnings
      (see bug#786450)
    + exclude pre-generated code when repackaging upstream source
    + fix Upstream-Name
    + update coverage
  * add patch 2001 to use shared modules
  * have webpack mock module Buffer;
    drop related now obsolete patch
  * add patch 2002 to make build reproducible
  * fix generate code during build;
    build-depend on
    grunt node-grunt-contrib-concat node-grunt-contrib-uglify
  * check testsuites during build;
    add patch 2003
    to avoid loaoding grunt templates for missing Nodejs modules;
    build-depend on mocha node-tape
  * add source script copyright-check
  * add myself as uploader
  * have libjs-matrix-js-sdk recommend libjs-olm

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 13 Dec 2020 01:32:03 +0100

node-matrix-js-sdk (6.0.0+~cs9.8.22-1) unstable; urgency=medium

  * Team upload
  * Bump debhelper compatibility level to 12
  * Declare compliance with policy 4.5.0
  * Add "Rules-Requires-Root: no"
  * Add debian/gbp.conf
  * Add upstream/metadata
  * Use pkg-js-tools auto install
  * Components added: bs58, base-x, loglevel, unhomoglyph, another-json
  * New upstream version 6.0.0+~cs9.8.22
    really 6.0.0+~4.0.1+~3.0.8+~1.6.8+~1.0.5+0.2.0
  * Build with babel7 & tsc (Closes: #960028)
  * Update copyright
  * Add build dependency to node-content
  * Fix webpack build (Closes: #933662)
  * Update VCS fields to salsa
  * Add hook to fix babel build

 -- Xavier Guimard <yadd@debian.org>  Tue, 12 May 2020 14:26:35 +0200
