=== debian/control ===
Source: node-matrix-js-sdk
Maintainer: Matrix Packaging Team <pkg-matrix-maintainers@lists.alioth.debian.org>
Uploaders:
 Hubert Chathi <uhoreg@debian.org>,
 Jonas Smedegaard <dr@jones.dk>,
Section: javascript
Testsuite: autopkgtest-pkg-nodejs
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-nodejs,
 grunt,
 mocha <!nocheck>,
 node-babel-loader (>= 8.1.0),
 node-babel7,
 node-bluebird,
 node-browser-request,
 node-content-type,
 node-grunt-contrib-concat,
 node-grunt-contrib-uglify,
 node-request,
 node-tape <!nocheck>,
 node-typescript,
 node-typescript-types,
 webpack,
Standards-Version: 4.5.1
Homepage: https://github.com/matrix-org/matrix-js-sdk/
Vcs-Browser: https://salsa.debian.org/js-team/node-matrix-js-sdk
Vcs-Git: https://salsa.debian.org/js-team/node-matrix-js-sdk.git
Rules-Requires-Root: no

Package: node-matrix-js-sdk
Architecture: all
Depends:
 node-babel7,
 node-bluebird,
 node-content-type,
 node-request,
 nodejs,
 ${misc:Depends},
Description: node module Client-Server SDK for the Matrix protocol
 matrix-js-sdk is an SDK that allows JavaScript programs to communicate over
 Matrix, an open, federated communications protocol.
 .
 This package provides the nodejs version of matrix-js-sdk.

Package: libjs-matrix-js-sdk
Architecture: all
Depends:
 ${misc:Depends},
Recommends:
 javascript-common,
 libjs-olm,
Description: JavaScript Client-Server SDK for the Matrix protocol
 matrix-js-sdk is an SDK that allows JavaScript programs to communicate over
 Matrix, an open, federated communications protocol.
 .
 This package provides the browser version of matrix-js-sdk.
