=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
   https://github.com/matrix-org/matrix-js-sdk/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz group

opts=\
component=bs58,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-bs58-$1.tar.gz/ \
 https://github.com/cryptocoinjs/bs58/tags .*/archive/v?([\d\.]+).tar.gz checksum

opts=\
component=base-x,\
repacksuffix=~ds,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-base-x-$1.tar.gz/ \
 https://github.com/cryptocoinjs/base-x/tags .*/archive/v?([\d\.]+).tar.gz checksum

opts=\
component=loglevel,\
repacksuffix=~ds,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-loglevel-$1.tar.gz/ \
 https://github.com/pimterry/loglevel/tags .*/archive/v?([\d\.]+).tar.gz checksum

opts=\
component=unhomoglyph,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-unhomoglyph-$1.tar.gz/ \
 https://github.com/nodeca/unhomoglyph/tags .*/archive/v?([\d\.]+).tar.gz checksum

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,component=another-json,pgpmode=none" \
 https://registry.npmjs.org/another-json https://registry.npmjs.org/another-json/-/another-json-([\d\.]+)@ARCHIVE_EXT@ checksum
