## node-matrix-js-sdk 9.3.0+~cs9.9.16

=== debian/changelog ===
node-matrix-js-sdk (9.3.0+~cs9.9.16-2) unstable; urgency=medium

  * build-depend on recent
    node-babel-cli
    node-babel-core
    node-babel-plugin-proposal-class-properties
    node-babel-plugin-proposal-numeric-separator
    node-babel-plugin-proposal-object-rest-spread
    node-babel-plugin-syntax-dynamic-import
    node-babel-plugin-transform-runtime
    node-babel-preset-env
    node-babel-preset-typescript
    node-babel-register
    (not node-babel7);
    depend on recent node-babel-runtime
    (not node-babel7);
    stop depend on nodejs

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 18 Dec 2020 17:52:03 +0100

node-matrix-js-sdk (9.3.0+~cs9.9.16-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update git-buildpackage settings:
    + use signed tags
    + use DEP-14 git branch names
    + collapse sections; simplify filters
    + add usage comment
  * update watch file:
    + simplify regular expressions
    + use substitution strings
    + add versionmangle
      to prioritize final releases over release candidates
    + add usage comment
  * prepend X to component name of embedded modules,
    to better distinguish from main code
  * Update TypeScript linking:
    + update pkg-js-tools hints to include module olm
    + purge now unneeded patch 2001
      and repurpose it to make hack for linkage with libolm
    + build-depend on node-olm node-types-jest node-types-node
      (not node-typescript-types)

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 17 Dec 2020 20:51:25 +0100
