=== debian/control ===
--- 
+++ 
@@ -7,21 +7,32 @@
 Testsuite: autopkgtest-pkg-nodejs
 Priority: optional
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper-compat (= 12),
  dh-sequence-nodejs,
  grunt,
  mocha <!nocheck>,
+ node-babel-cli (>= 7),
+ node-babel-core (>= 7),
  node-babel-loader (>= 8.1.0),
- node-babel7,
+ node-babel-plugin-proposal-class-properties (>= 7),
+ node-babel-plugin-proposal-numeric-separator (>= 7),
+ node-babel-plugin-proposal-object-rest-spread (>= 7),
+ node-babel-plugin-syntax-dynamic-import (>= 7),
+ node-babel-plugin-transform-runtime (>= 7),
+ node-babel-preset-env (>= 7),
+ node-babel-preset-typescript (>= 7),
+ node-babel-register (>= 7),
  node-bluebird,
  node-browser-request,
  node-content-type,
  node-grunt-contrib-concat,
  node-grunt-contrib-uglify,
+ node-olm,
  node-request,
  node-tape <!nocheck>,
  node-typescript,
- node-typescript-types,
+ node-types-jest,
+ node-types-node,
  webpack,
 Standards-Version: 4.5.1
 Homepage: https://github.com/matrix-org/matrix-js-sdk/
@@ -32,11 +43,10 @@
 Package: node-matrix-js-sdk
 Architecture: all
 Depends:
- node-babel7,
+ node-babel-runtime (>= 7),
  node-bluebird,
  node-content-type,
  node-request,
- nodejs,
  ${misc:Depends},
 Description: node module Client-Server SDK for the Matrix protocol
  matrix-js-sdk is an SDK that allows JavaScript programs to communicate over
