=== debian/rules ===
--- 
+++ 
@@ -16,12 +16,12 @@
 	dh $@
 
 override_dh_auto_clean:
-	tsc --build --clean base-x
+	tsc --build --clean Xbase-x
 	rm -rf dist lib
 
 override_dh_auto_build:
-	tsc --project base-x
-	$(GRUNT) --base=loglevel concat uglify
+	tsc --project Xbase-x
+	$(GRUNT) --base=Xloglevel concat uglify
 	# Browser build
 	mkdir -p dist
 	webpack --config debian/webpack.config.js \
@@ -41,8 +41,8 @@
 # TODO: check another-json tests when node-jasmine-node is in Debian
 # TODO: check loglevel tests when node-grunt-contrib-jasmine is in Debian
 override_dh_auto_test:
-#	cd another-json && jasmine-node spec/ --verbose --junitreport --forceexit --captureExceptions
-	tape base-x/test/*.js
-	tape bs58/test/index.js
-#	$(GRUNT) --base=loglevel test
-	cd unhomoglyph && $(MOCHA)
+#	cd Xanother-json && jasmine-node spec/ --verbose --junitreport --forceexit --captureExceptions
+	tape Xbase-x/test/*.js
+	tape Xbs58/test/index.js
+#	$(GRUNT) --base=Xloglevel test
+	cd Xunhomoglyph && $(MOCHA)
