## node-matrix-js-sdk 9.11.0%2B~cs9.9.16

=== debian/rules ===
--- 
+++ 
@@ -26,11 +26,13 @@
 	mkdir -p dist
 	webpack --config debian/webpack.config.js \
 	--entry ./src/browser-index.js \
-	--output ./dist/browser-matrix.js \
+	--output-path ./dist \
+	--output-filename browser-matrix.js \
 	--mode development
 	webpack --config debian/webpack.config.js \
 	--entry ./src/browser-index.js \
-	--output ./dist/browser-matrix.min.js \
+	--output-path ./dist \
+	--output-filename browser-matrix.min.js \
 	--mode production
 	# node module build
 	babeljs-7 -d lib --presets @babel/preset-env --verbose --extensions ".ts,.js" src
