## node-matrix-js-sdk 9.11.0+~cs9.9.16

=== debian/changelog ===
node-matrix-js-sdk (9.11.0+~cs9.9.16-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 26 Aug 2021 13:58:01 +0200

node-matrix-js-sdk (9.7.0~~rc1+~cs9.9.16-2) unstable; urgency=medium

  * add patch cherry-picked upstream
    to bump libolm version and update its Node.js package name;
    build-depend on node-matrix-org-olm (not node-olm);
    update TypeScript linking;
    closes: bug#992903, thanks to peter green
  * declare compliance with Debian Policy 4.6.0

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 26 Aug 2021 13:27:56 +0200

node-matrix-js-sdk (9.7.0~~rc1+~cs9.9.16-1) experimental; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * add TODO note about dead Node.js module request
  * copyright info: update coverage
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 11 Feb 2021 14:04:45 +0100
