=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Testsuite: autopkgtest-pkg-nodejs
 Priority: optional
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-sequence-nodejs,
  grunt,
  mocha <!nocheck>,
@@ -27,14 +27,14 @@
  node-content-type,
  node-grunt-contrib-concat,
  node-grunt-contrib-uglify,
- node-olm,
+ node-matrix-org-olm,
  node-request,
  node-tape <!nocheck>,
  node-typescript,
  node-types-jest,
  node-types-node,
  webpack,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/matrix-org/matrix-js-sdk/
 Vcs-Browser: https://salsa.debian.org/js-team/node-matrix-js-sdk
 Vcs-Git: https://salsa.debian.org/js-team/node-matrix-js-sdk.git
