=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
versionmangle=s/\d\K[-~]*(rc)\.?/~~$1/,\
filenamemangle=s/.*?v?(@ANY_VERSION@@ARCHIVE_EXT@)/$1/,\
dversionmangle=auto \
https://github.com/matrix-org/matrix-js-sdk/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@ group

opts=\
component=Xbs58,\
filenamemangle=s/.*?v?(@ANY_VERSION@@ARCHIVE_EXT@)/bs58-$1/,\
dversionmangle=auto \
https://github.com/cryptocoinjs/bs58/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@ checksum

opts=\
component=Xbase-x,\
repacksuffix=~ds,\
filenamemangle=s/.*?v?(@ANY_VERSION@@ARCHIVE_EXT@)/base-x-$1/,\
dversionmangle=auto \
https://github.com/cryptocoinjs/base-x/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@ checksum

opts=\
component=Xloglevel,\
repacksuffix=~ds,\
filenamemangle=s/.*?v?(@ANY_VERSION@@ARCHIVE_EXT@)/loglevel-$1/,\
dversionmangle=auto \
https://github.com/pimterry/loglevel/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@ checksum

opts=\
component=Xunhomoglyph,\
filenamemangle=s/.*?v?(@ANY_VERSION@@ARCHIVE_EXT@)/unhomoglyph-$1/,\
dversionmangle=auto \
https://github.com/nodeca/unhomoglyph/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@ checksum

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts=\
component=Xanother-json,\
searchmode=plain,pgpmode=none,\
dversionmangle=auto \
https://registry.npmjs.org/another-json https://registry.npmjs.org/another-json/-/another-json-@ANY_VERSION@@ARCHIVE_EXT@ checksum
